/// <reference types="node" />
import { WriteStream } from 'fs';
interface deleteOldLogFilesResponse {
    oldLogFiles: string[];
    promises: Promise<void>[];
}
declare class DataLogWriter {
    dataName: string;
    logCounter: number;
    maxNumberEntriesPerLog: number;
    logDir: string;
    maxLogCounter: number;
    dataLogWriteStream: WriteStream | null;
    dataWriteIndex: number;
    dataLogFilePath: string;
    totalNumberOfEntries: number;
    activeLogFileName: string;
    activeLogFilePath: string;
    writeQueue: string[];
    isWriting: boolean;
    constructor(dataName: string, logCounter: number, maxNumberEntriesPerLog: number);
    init(): Promise<void>;
    deleteOldLogFiles(prefix: string): Promise<deleteOldLogFilesResponse>;
    renameAsOldFiles(promises: Promise<void>[], start: number, end: number): void;
    rotateOldLogs(prefix: string, start: number, end: number): Promise<void>;
    rotateLogFile(): Promise<void>;
    writeToLog(data: string): Promise<void>;
    insertDataLog(): Promise<void>;
    setActiveLog(): Promise<void>;
    appendData(data: string): Promise<void>;
    endStream(): Promise<void>;
}
export declare let CycleLogWriter: DataLogWriter;
export declare let ReceiptLogWriter: DataLogWriter;
export declare let OriginalTxDataLogWriter: DataLogWriter;
export declare function initDataLogWriter(): Promise<void>;
export {};
