import { Ticket, Sign } from '../schemas/ticketSchema';
import { DevSecurityLevel } from '../types/security';
export interface VerificationError {
    type: string;
    message: string;
    validSignatures: number;
}
export interface VerificationConfig {
    allowedTicketSigners: {
        [pubkey: string]: DevSecurityLevel;
    };
    minSigRequired: number;
    requiredSecurityLevel: DevSecurityLevel;
}
export declare function verifyMultiSigs(rawPayload: object, sigs: Sign[], allowedPubkeys: {
    [pubkey: string]: DevSecurityLevel;
}, minSigRequired: number, requiredSecurityLevel: DevSecurityLevel): {
    isValid: boolean;
    validCount: number;
};
export declare function verifyTickets(tickets: Ticket[], config: VerificationConfig): {
    isValid: boolean;
    errors: VerificationError[];
};
