"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeSerializeFromJsonString = exports.SerializeToJsonString = void 0;
const lib_types_1 = require("@shardeum-foundation/lib-types");
const Config_1 = require("../Config");
function SerializeToJsonString(obj) {
    try {
        if (Config_1.config.useSerialization)
            return lib_types_1.Utils.safeStringify(obj, { bufferEncoding: 'base64' });
        else
            return lib_types_1.Utils.safeStringify(obj);
    }
    catch (e) {
        console.log('Error serializing object', e);
        console.log(obj);
        throw e;
    }
}
exports.SerializeToJsonString = SerializeToJsonString;
function DeSerializeFromJsonString(jsonString) {
    try {
        return lib_types_1.Utils.safeJsonParse(jsonString);
    }
    catch (e) {
        console.log('Error deserializing object', e);
        console.log(jsonString);
        throw e;
    }
}
exports.DeSerializeFromJsonString = DeSerializeFromJsonString;
//# sourceMappingURL=serialization.js.map